# Compilers

---

Just like C, C++ has many different compilers. Most of them are compatible with C-programming language as well. Remember, different compilers may have different outcomes. It's a good idea to have a general understanding of each and pick one if you are working in a team.

#### 

#### MSVC - Microsoft Visual C++

![](assets/R6wl9gWl_400x400.jpg)

* This is your Visual Studio compiler that we have been using on Windows up until now for C

#### G++ - GNU C++ Compiler

![](assets/GNU_Compiler_Collection_logo.png)

* Similar commands to GCC, as they are both part of the GNU Compiler Collection, just different languages.

#### CLang - An open-source frontend, part of the LLVM compiler infrastructure.

![](assets/clang.png)

* Very popular on Mac OSX and other systems

---



